package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 采购合同-结算与付款表
 * </p>
 *
 * @author liutao
 * @since 2022-06-13
 */
@TableName("purch_contract_settle_payment_history")
public class PurchContractSettlePaymentHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 结算方式
     */
    @TableField("settle_method")
    private Long settleMethod;

    /**
     * 付款方式
     */
    @TableField("payment_method")
    private String paymentMethod;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_history_id")
    private Long purchContractBasicInfoHisId;

    /**
     * 银行名称
     */
    @TableField("bank_name")
    private String bankName;

    /**
     * 银行名称
     */
    @TableField("bank_account")
    private String bankAccount;

    /**
     * 银行账户名称
     */
    @TableField("bank_account_name")
    private String bankAccountName;

    public Long getSettleMethod() {
        return settleMethod;
    }

    public void setSettleMethod(Long settleMethod) {
        this.settleMethod = settleMethod;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public String getBankName() {
        return bankName;
    }

    public String getBankAccountName() {
        return bankAccountName;
    }

    public void setBankAccountName(String bankAccountName) {
        this.bankAccountName = bankAccountName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public Long getPurchContractBasicInfoHisId() {
        return purchContractBasicInfoHisId;
    }

    public void setPurchContractBasicInfoHisId(Long purchContractBasicInfoHisId) {
        this.purchContractBasicInfoHisId = purchContractBasicInfoHisId;
    }

    @Override
    public String toString() {
        return "PurchContractSettlePaymentHistory{" +
            "settleMethod=" + settleMethod +
            ", paymentMethod=" + paymentMethod +
        "}";
    }
}
